aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-17 00:12:27 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-17 00:12:27 +0100
commitb4b2f99b420ad3e35291807d41112423bc46ee2a (patch)
tree4f6b5928ffeafaf0aff422b5f5478a896453abed /paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
parent40b30301b395c737736b87ff2ed8434634b562af (diff)
downloadpaludis-b4b2f99b420ad3e35291807d41112423bc46ee2a.tar.gz
paludis-b4b2f99b420ad3e35291807d41112423bc46ee2a.tar.xz
Greater compatibility with Portage and pkgcore w.r.t. mtimes, per discussion with zmedico and ferringb.
Diffstat (limited to 'paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh')
-rwxr-xr-xpaludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh56
1 files changed, 54 insertions, 2 deletions
diff --git a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
index 352bb736e..5199114ba 100755
--- a/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
+++ b/paludis/repositories/e/ebuild_flat_metadata_cache_TEST_setup.sh
@@ -285,7 +285,28 @@ END
mkdir cat/flat_hash-no-mtime
cat <<END > cat/flat_hash-no-mtime/flat_hash-no-mtime-1.ebuild || exit 1
-DESCRIPTION="The Generated Description flat_hash-no-mtime"
+END
+cat <<END > metadata/cache/cat/flat_hash-no-mtime-1 || exit 1
+DEPEND=the/depend
+RDEPEND=the/rdepend
+SLOT=the-slot
+SRC_URI=the-src-uri
+RESTRICT=the-restrict
+HOMEPAGE=the-homepage
+LICENSE=the-license
+DESCRIPTION=the-description-flat_hash-no-mtime
+KEYWORDS=the-keywords
+IUSE=the-iuse
+PDEPEND=the/pdepend
+PROVIDE=the/provide
+EAPI=0
+END
+TZ=UTC touch -t 197001010001 cat/flat_hash-no-mtime/flat_hash-no-mtime-1.ebuild || exit 2
+TZ=UTC touch -t 197001010001 metadata/cache/cat/flat_hash-no-mtime-1 || exit 2
+
+mkdir cat/flat_hash-no-mtime-stale
+cat <<END > cat/flat_hash-no-mtime-stale/flat_hash-no-mtime-stale-1.ebuild || exit 1
+DESCRIPTION="The Generated Description flat_hash-no-mtime-stale"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
@@ -294,7 +315,36 @@ LICENSE="GPL-2"
KEYWORDS="test"
DEPEND=""
END
-cat <<END > metadata/cache/cat/flat_hash-no-mtime-1 || exit 1
+cat <<END > metadata/cache/cat/flat_hash-no-mtime-stale-1 || exit 1
+DEPEND=the/depend
+RDEPEND=the/rdepend
+SLOT=the-slot
+SRC_URI=the-src-uri
+RESTRICT=the-restrict
+HOMEPAGE=the-homepage
+LICENSE=the-license
+DESCRIPTION=The Stale Description
+KEYWORDS=the-keywords
+IUSE=the-iuse
+PDEPEND=the/pdepend
+PROVIDE=the/provide
+EAPI=0
+END
+TZ=UTC touch -t 197001010001 metadata/cache/cat/flat_hash-no-mtime-stale-1 || exit 2
+
+mkdir cat/flat_hash-bad-mtime
+cat <<END > cat/flat_hash-bad-mtime/flat_hash-bad-mtime-1.ebuild || exit 1
+DESCRIPTION="The Generated Description flat_hash-bad-mtime"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND=""
+END
+cat <<END > metadata/cache/cat/flat_hash-bad-mtime-1 || exit 1
+_mtime_=monkey
DEPEND=the/depend
RDEPEND=the/rdepend
SLOT=the-slot
@@ -309,6 +359,8 @@ PDEPEND=the/pdepend
PROVIDE=the/provide
EAPI=0
END
+TZ=UTC touch -t 197001010001 cat/flat_hash-bad-mtime/flat_hash-bad-mtime-1 || exit 2
+TZ=UTC touch -t 197001010001 metadata/cache/cat/flat_hash-bad-mtime-1 || exit 2
mkdir cat/flat_hash-no-eapi
cat <<END > cat/flat_hash-no-eapi/flat_hash-no-eapi-1.ebuild || exit 1